Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.analysis_engine.metadata
Interface FlowControllerDeclaration

All Superinterfaces:
  Cloneable, MetaDataObject, Serializable, XMLizable

    public interface FlowControllerDeclaration

extends MetaDataObject

Declares which FlowController is used by the Aggregate Analysis Engine. This can be done either by import or by direct inclusion of a ResourceSpecifier (descriptor) for the FlowController.

If an import is used, it is not automatically resolved when this object is deserialized from XML. To resolve the imports, call the `resolveImports()` method. Import resolution is done automatically during AnalysisEngine instantiation.

Method Summary
`Import` | `getImport()` Gets the import that references the FlowController specifier.
`String` | `getKey()` Gets the key that can be used to refer to the FlowController in configuration parameter overrides and Sofa mappings.
`ResourceSpecifier` | `getSpecifier()` Retrieves the `ResourceSpecifier` used to determine which FlowController is used by the AnalysisEngine.
`void` | `resolveImports()` Resolves an imported FlowController specifier, if there is one.
`void` | `resolveImports(ResourceManager aResourceManager)` Resolves an imported FlowController specifier, if there is one.
`void` | `setImport(Import aImport)` Sets the import that references the FlowController specifier.
`void` | `setKey(String aKey)` Sets the key that can be used to refer to the FlowController in configuration parameter overrides and Sofa mappings.
`void` | `setSpecifier(ResourceSpecifier aSpecifier)` Sets the `ResourceSpecifier` used to determine which FlowController is used by the AnalysisEngine.

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### getKey

    String getKey()

  Gets the key that can be used to refer to the FlowController in configuration parameter overrides and Sofa mappings.

  Returns:
    the key assignd to the FlowController

### setKey

    void setKey(String aKey)

  Sets the key that can be used to refer to the FlowController in configuration parameter overrides and Sofa mappings.

  Parameters:
    `aKey` - the key to assign to the FlowController

### getImport

    Import getImport()

  Gets the import that references the FlowController specifier.

  Returns:
    an object containing the import information, or null if no import was used

### setImport

    void setImport(Import aImport)

  Sets the import that references the FlowController specifier.

  Parameters:
    `aImport` - an object containing the import information, or null if no import is to be used

### getSpecifier

    ResourceSpecifier getSpecifier()

  Retrieves the `ResourceSpecifier` used to determine which FlowController is used by the AnalysisEngine.

  Returns:
    the `ResourceSpecifier` that specifies a FlowController.

### setSpecifier

    void setSpecifier(ResourceSpecifier aSpecifier)

  Sets the `ResourceSpecifier` used to determine which FlowController is used by the AnalysisEngine.

  Parameters:
    `aSpecifier` - a `ResourceSpecifier` that specifies a FlowController

### resolveImports

    void resolveImports()
                        throws InvalidXMLException

  Resolves an imported FlowController specifier, if there is one. The `specifier`property of this object is set to the result of parsing the imported descriptor. The import is then deleted.

  Throws:
    `InvalidXMLException` - if either the import target does not exist or is invalid

### resolveImports

    void resolveImports(ResourceManager aResourceManager)
                        throws InvalidXMLException

  Resolves an imported FlowController specifier, if there is one. The `specifier`property of this object is set to the result of parsing the imported descriptor. The import is then deleted.

  Parameters:
    `aResourceManager` - the Resource Manager used to locate an XML file imported by name
  Throws:
    `InvalidXMLException` - if either the import target does not exist or is invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.